Web lists-archives.com

[ANNOUNCEMENT] [Updated] perl-5.26.1-1 and all Perl distributions




Perl has been updated to version 5.26.1-1 on Cygwin.  This is the first
upstream maintenance release for Perl 5.26, released on September 22 2017.

Please note that the entire 5.24.x versions of Perl were not released on
Cygwin, so there are a few things that had deprecation warnings in those
versions and will now already fail.  Please consult _all_ the perldelta
documentation leading from 5.22.0 to 5.26.1:

perldoc perl5240delta
perldoc perl5260delta
perldoc perldelta

The change most likely to create problems for old scripts is that the
current directory is no longer in @INC.  If you understand the security
implications and are sure they don't apply to you, setting
PERL_USE_UNSAFE_INC=1 will get you the old behaviour back for the
moment.

A few perl distributions that were formerly packaged separately in
Cygwin to get fixes available only in updates from CPAN have moved back
to the core of Perl which already has the most recent versions.  In
order for setup to correctly handle those distributions and remove the
old files, empty packages have been provided.  It is therefore normal
that no new files will get installed when they get updated, as these are
already distributed with the perl package itself.

All remaining Perl distributions have been updated or re-built in order
to be available under the new Perl.  I save myself and you the bother of
listing several hundreds of packages, setup will update them for you.


Attention
=========
A handful of packages could not be rebuilt in time for this release.  If
you need them you will either have to hold off on updating Cygwin until
the respective maintainers announce their availability:

git:	             Distributed version control system
grepmail:	     search mailboxes for mail matching an expression (installed binaries and support files)
pristine-tar:	     Regenerate pristine tarballs (installed binaries and support files)
sendxmpp:            Commandline XMPP (jabber) utility (installed binaries and support files)

For Git, only the git-email sub-package and the 'git add --interactive'
sub-command are affected.  These will work correctly if the commands are
started with GITPERLLIB=/usr/lib/perl5/vendor_perl/5.22 in the
environment.

-- 
              *** CYGWIN-ANNOUNCE UNSUBSCRIBE INFO ***

If you want to unsubscribe from the cygwin-announce mailing list, look
at the "List-Unsubscribe: " tag in the email header of this message.
Send email to the address specified there. It will be in the format:

cygwin-announce-unsubscribe-you=yourdomain.com@xxxxxxxxxx

If you need more information on unsubscribing, start reading here:

http://sourceware.org/lists.html#unsubscribe-simple

Please read *all* of the information on unsubscribing that is available
starting at this URL.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple